%define upstream_name	 Youri-Config
%define upstream_version 0.2.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5
Summary:    Youri configuration handler
License:    GPL+ or Artistic
Group:      Development/Other
Url:        http://youri.zarb.org
Source0:    http://youri.zarb.org/download/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Kwalitee)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::AppConfig)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl-version
%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides configuration handling for other youri programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files 
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.4-5.mga10
+ Revision: 2204817
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.2.4-4.mga9
+ Revision: 1810664
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.2.4-3.mga8
+ Revision: 1507069
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.2.4-2.mga7
+ Revision: 1287476
- Mageia 7 Mass Rebuild

* Wed Nov 15 2017 tv <tv> 0.2.4-1.mga7
+ Revision: 1177458
- update to 0.2.4

* Sat Oct 28 2017 guillomovitch <guillomovitch> 0.2.2-1.mga7
+ Revision: 1174431
- new version 0.2.2

* Sun Jun 19 2016 pterjan <pterjan> 0.2.1-9.mga6
+ Revision: 1036186
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.1-8.mga6
+ Revision: 946811
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-7.mga5
+ Revision: 748507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-6.mga5
+ Revision: 686995
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-5.mga4
+ Revision: 516266
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-4.mga3
+ Revision: 375330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.2.1-3.mga2
+ Revision: 103887
- increase rel for rebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.2.1-2.mga1
+ Revision: 61657
- adding missing buildrequires:
- rebuild
- update to 0.2.1

* Sun Jan 23 2011 jquelin <jquelin> 0.2.0-5.mga1
+ Revision: 34495
- mageia rebuild
- imported package perl-Youri-Config


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-5mdv2010.0
+ Revision: 430671
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-4mdv2009.0
+ Revision: 258921
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-3mdv2009.0
+ Revision: 246798
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.0-1mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 20746
- new release
- force dependency on perl-version


* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
+ Revision: 138940
- fix build dependencies _correctly_
- fix build dependencies
- Imported perl-Youri-Config-0.1.1-1mdv2007.1 into SVN repository.

* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
- first mdv release

